<?php
/**
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 *
 * @author    Paweł Stolarski <pstolarski@kanga.exchange>
 * @copyright Kanga Exchange
 * @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */

namespace KangaPay\Payment;

abstract class Type {
  const GATEWAY = 'GATEWAY';
  const TRANSFER = 'TRANSFER';
  const FIAT = 'FIAT';

  public static function all() {
    return [self::GATEWAY, self::TRANSFER, self::FIAT];
  }

  public static function config($module) {
    return [
      ['id' => self::GATEWAY,   'name' => $module->l('Payment gateway')],
      ['id' => self::TRANSFER,  'name' => $module->l('Transfer')],
      ['id' => self::FIAT,      'name' => $module->l('Fiat payments')]
    ];
  }
}
