<?php
/**
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 *
 * @author    Paweł Stolarski <pstolarski@kanga.exchange>
 * @copyright Kanga Exchange
 * @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */

class KangaPayNotificationModuleFrontController extends ModuleFrontController {
  public function initContent() {
    parent::initContent();

    $shop = KangaPay\ShopConfiguration::fromDefaultConfiguration();
    $cartId = Tools::getValue( 'cartId' );
    $order = Order::getByCartId( $cartId );

    if ($order) {
    	KangaPay\Payment::confirmPayment( $shop, $order );
    }

    if ($shop->isPrevPayments()) {
      KangaPay\Payment::checkPreviousOrders( $shop );
    }

    die( 'OK' );
  }
}
